{% sw_extends '@Storefront/storefront/component/product/card/action.html.twig' %}

{% block component_product_box_action_form %}

	{% block component_product_box_action_buy_redirect_input %}
		{{ parent() }}
	{% endblock %}
	
	{% block page_product_detail_buy_product_buy_info %}
		{{ parent() }}
	{% endblock %}
	
	{% set purchaseUnit = product.purchaseUnit %}
    {% set listingPrice = product.calculatedListingPrice %}
    {% set fromPrice = listingPrice.from %}
    {% set referncePrice = product.calculatedPrice.referencePrice %}
	
	{% block component_product_box_action_detail %}
		<a href="{{ seoUrl('frontend.detail.page', {'productId': id}) }}"
			class="btn btn-block btn-light btn-sm"
			title="{{ "listing.boxProductDetails"|trans|striptags }}">
				{{ "listing.boxProductDetails"|trans|sw_sanitize }}
		</a>
	{% endblock %}
	
	{% block page_product_detail_product_buy_button %}
		{# Ich bin ein Kommentar 
			<button class="btn btn-block btn-buy"
				title="{{ "listing.boxAddProduct"|trans|striptags }}">
				<span>{{ "listing.boxAddProduct"|trans|sw_sanitize }}</span> {{ listingPrice.to.unitPrice|currency }}{{ "general.star"|trans|sw_sanitize }}
			</button>
		#}
		{{ parent() }}
	{% endblock %}
{% endblock %}